public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sinatra/
Date: Sat,  1 Oct 2022 07:55:50 +0000 (UTC)	[thread overview]
Message-ID: <1664610949.c2224726440b27c19d73c620d7bdbc6342b29bb2.graaff@gentoo> (raw)

commit:     c2224726440b27c19d73c620d7bdbc6342b29bb2
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  1 07:13:20 2022 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct  1 07:55:49 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2224726

dev-ruby/sinatra: add 3.0.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/sinatra/Manifest             |  1 +
 dev-ruby/sinatra/sinatra-3.0.1.ebuild | 34 ++++++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/dev-ruby/sinatra/Manifest b/dev-ruby/sinatra/Manifest
index 90e16b34b0b6..68debd3675a2 100644
--- a/dev-ruby/sinatra/Manifest
+++ b/dev-ruby/sinatra/Manifest
@@ -1,3 +1,4 @@
 DIST sinatra-2.2.0.tar.gz 513752 BLAKE2B e407b9241cab27e326c0a2d4d83593e292de902b6ed19a12f17b0cd114230b0d10f1ffaa8f8b8237d17b547c7e012c57456af357019b228f3d7a88847220cf33 SHA512 be9432a8efa93578accc836cd0fecca128e56989d8596f1b3d33d2d956e90acd80244b98473fff2adae13ed4a1e933c41e73c80755a6f3418a65cdf33c011145
 DIST sinatra-2.2.1.tar.gz 513047 BLAKE2B 38cec7c3b2e27ac795044d7d64a00deb09707523a13338328bb1d7657b3d8eee9ab9730c6eb903c04f64acca6d24b8f191f825056baa0e705bf7ebf5594c0d46 SHA512 73f35428e259867a9b9adbf7344dd78dfe3c5ae2749902d438e2bcd95c4e7e9935ecb7761a4c52928e3e05fd99f8497db3fc049c868f9b2e76c653b4271c87b5
 DIST sinatra-2.2.2.tar.gz 513056 BLAKE2B 80904850ce577131ecc6c28917772cda6ab606ff1b4a71b733cde98d56e2906bb0dc5b65c83465e65686571e8752ec7935d89734e7d2e45c544fe14a2c8046d4 SHA512 e69a36738a7c1095968a343113ddba414ff685e941a8b55575e4b2ffa5a8e7394d874966d5532643cdfec997ac4c825c293185f6688c715006e37159eedd2be8
+DIST sinatra-3.0.1.tar.gz 265781 BLAKE2B e4fc5dec7045f5a906a91fa8d71ea32e4e1491939047cdfece7d27df3c784a5c3779a4e5de243d87f1eb7e272e3aeeda9fbfc560b1cfaf2cf628d30106567825 SHA512 717d4caff1193b158128a22737340329e5d96bea5718702c22b8c8e2c72652b1048352b36454da410a57288c852de2f04bbee6335dfd4ee977eda62093a1a94a

diff --git a/dev-ruby/sinatra/sinatra-3.0.1.ebuild b/dev-ruby/sinatra/sinatra-3.0.1.ebuild
new file mode 100644
index 000000000000..1f4309cd5174
--- /dev/null
+++ b/dev-ruby/sinatra/sinatra-3.0.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_TASK_TEST="MT_NO_PLUGINS=true test:core"
+
+RUBY_FAKEGEM_EXTRADOC="README.md AUTHORS.md CHANGELOG.md"
+
+RUBY_FAKEGEM_GEMSPEC="sinatra.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A DSL for quickly creating web applications in Ruby with minimal effort"
+HOMEPAGE="http://www.sinatrarb.com/"
+SRC_URI="https://github.com/sinatra/sinatra/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE=""
+
+ruby_add_rdepend "
+	dev-ruby/mustermann:3
+	>=dev-ruby/rack-2.2.4:2.2
+	~dev-ruby/rack-protection-${PV}
+	dev-ruby/tilt:2"
+ruby_add_bdepend "test? ( >=dev-ruby/rack-test-0.5.6 dev-ruby/erubis dev-ruby/builder <dev-ruby/activesupport-7 )"
+ruby_add_bdepend "doc? ( dev-ruby/yard )"
+
+all_ruby_prepare() {
+	sed -i -e '/active_support\/core_ext\/hash/igem "activesupport", "<7"' test/helper.rb || die
+}


             reply	other threads:[~2022-10-01  7:55 UTC|newest]

Thread overview: 82+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-01  7:55 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-29 14:30 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/sinatra/ Arthur Zamarin
2024-11-23 10:31 Hans de Graaff
2024-10-07  2:44 Sam James
2024-08-16  6:04 Hans de Graaff
2024-07-19  9:56 Hans de Graaff
2024-07-15  7:47 Hans de Graaff
2024-07-14  8:48 Hans de Graaff
2024-07-14  7:48 Hans de Graaff
2024-05-28  4:54 Hans de Graaff
2024-05-28  4:54 Hans de Graaff
2024-02-14 14:14 Hans de Graaff
2024-02-10 10:32 Hans de Graaff
2024-02-10  8:03 Hans de Graaff
2024-01-21  7:45 Hans de Graaff
2023-08-29  6:01 Hans de Graaff
2023-08-19  5:25 Hans de Graaff
2023-08-12  7:21 Hans de Graaff
2023-07-24 15:31 Arthur Zamarin
2023-06-13 10:11 Hans de Graaff
2023-06-13 10:11 Hans de Graaff
2023-04-11 17:52 Jakov Smolić
2023-04-09  2:34 Sam James
2023-04-08  8:42 Arthur Zamarin
2023-04-07 18:25 Sam James
2023-04-07 11:25 Sam James
2023-04-07 11:25 Sam James
2023-02-04  7:08 Hans de Graaff
2023-02-04  7:08 Hans de Graaff
2023-02-04  7:08 Hans de Graaff
2023-01-08  7:49 Hans de Graaff
2023-01-08  7:49 Hans de Graaff
2023-01-08  7:49 Hans de Graaff
2022-12-04 17:56 Arthur Zamarin
2022-12-03 11:04 Hans de Graaff
2022-12-03 11:04 Hans de Graaff
2022-10-22  4:36 Hans de Graaff
2022-10-01  7:55 Hans de Graaff
2022-07-21  6:37 Hans de Graaff
2022-05-06  8:22 Hans de Graaff
2022-05-06  8:22 Hans de Graaff
2022-04-22  6:55 Hans de Graaff
2022-03-20 10:04 Hans de Graaff
2021-09-07 21:28 Marek Szuba
2020-12-29 10:48 Hans de Graaff
2020-12-29  7:21 Hans de Graaff
2020-12-20 19:14 Sam James
2020-12-20 19:03 Sam James
2020-09-19  6:06 Hans de Graaff
2020-09-05  8:01 Hans de Graaff
2020-07-05  6:27 Hans de Graaff
2020-06-21  9:05 Hans de Graaff
2020-05-11 20:34 Sergei Trofimovich
2020-05-10  8:27 Hans de Graaff
2020-03-12 13:47 Hans de Graaff
2020-03-01  8:22 Hans de Graaff
2019-08-24  4:45 Hans de Graaff
2019-05-01 17:49 Hans de Graaff
2019-04-27  6:13 Hans de Graaff
2019-04-27  6:13 Hans de Graaff
2019-03-30  6:46 Hans de Graaff
2019-02-07  7:36 Hans de Graaff
2018-11-26 19:19 Mikle Kolyada
2018-10-20 12:16 Sergei Trofimovich
2018-10-20 12:16 Sergei Trofimovich
2018-09-27  4:15 Hans de Graaff
2018-08-03 23:09 Sergei Trofimovich
2018-07-28 13:25 Thomas Deutschmann
2018-07-19  6:30 Hans de Graaff
2018-04-27  8:33 Hans de Graaff
2018-04-27  8:33 Hans de Graaff
2018-01-22 16:42 Hans de Graaff
2017-06-30 11:17 Alexis Ballier
2017-06-23  3:38 Hans de Graaff
2016-07-25 17:28 Hans de Graaff
2016-07-25 17:28 Hans de Graaff
2016-07-25 17:28 Hans de Graaff
2016-06-02 21:48 Richard Farina
2016-03-06 19:33 Manuel Rüger
2016-03-06 19:33 Manuel Rüger
2016-01-25 14:05 Hans de Graaff
2015-08-16 23:14 Mikle Kolyada

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1664610949.c2224726440b27c19d73c620d7bdbc6342b29bb2.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox